#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2)
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	python-redis
Version		:	5.0.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Python interface to the Redis key-value store
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://pypi.org/project/redis/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This is a Python 3 interface to the Redis key-value store.

#-----------------------------------------------------------------------------
%files
%doc README.md
%license LICENSE
%{python3_sitearch}/%{sname}/*.py
%{python3_sitearch}/%{sname}/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/_parsers/*.py
%{python3_sitearch}/%{sname}/_parsers/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/asyncio/*.py
%{python3_sitearch}/%{sname}/asyncio/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/commands/*.py
%{python3_sitearch}/%{sname}/commands/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/commands/bf/*.py
%{python3_sitearch}/%{sname}/commands/bf/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/commands/graph/*.py
%{python3_sitearch}/%{sname}/commands/graph/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/commands/json/*.py
%{python3_sitearch}/%{sname}/commands/json/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/commands/search/*.py
%{python3_sitearch}/%{sname}/commands/search/__pycache__/*.pyc
%{python3_sitearch}/%{sname}/commands/timeseries/*.py
%{python3_sitearch}/%{sname}/commands/timeseries/__pycache__/*.pyc
%{python3_sitearch}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
